com.ibm.openpages.api.search

## Class SearchException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.lang.RuntimeException
      - - com.ibm.openpages.api.OpenPagesException
        - - com.ibm.openpages.api.search.SearchException

- All Implemented Interfaces:
    java.io.Serializable

      public class SearchException
      extends OpenPagesException

  OpenPages Global Search function related Exception; for Search ErrorCodes.
  Since:
    7.2
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `SearchException()`
    `SearchException(ErrorCode code, java.util.List<java.lang.Object> parameters)`
    `SearchException(ErrorCode code, java.util.List<java.lang.Object> parameters, java.lang.Throwable cause)`
    `SearchException(ErrorCode code, java.lang.String additionalErrorText)` Convenience constructor for SearchException with a single error message parameter, additionalErrorText.
    `SearchException(ErrorCode code, java.lang.String additionalErrorText, java.lang.Throwable cause)` Convenience constructor for SearchException with a single error message parameter, additionalErrorText and a Throwable cause.
    `SearchException(java.lang.String message)`
    `SearchException(java.lang.String message, java.lang.Throwable cause)`
    `SearchException(java.lang.Throwable cause)`

  - ### Method Summary

    - ### Methods inherited from class com.ibm.openpages.api.OpenPagesException

      `getAdditionalMessage, getCode, getLocalizedMessage, getMessage, getParameters, getTimestamp`

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### SearchException

          public SearchException()

    - #### SearchException

          public SearchException(ErrorCode code,
                                 java.util.List<java.lang.Object> parameters,
                                 java.lang.Throwable cause)

      Parameters:
        `code` - OpenPages error code for search defining a standard error message
        `parameters` - (optional) error message parameters that are used in formatting the localized error message
        `cause` - Throwable cause for this SearchException

    - #### SearchException

          public SearchException(ErrorCode code,
                                 java.lang.String additionalErrorText,
                                 java.lang.Throwable cause)

      Convenience constructor for SearchException with a single error message parameter, additionalErrorText and a Throwable cause. Equivalent to: `new SearchException(code,Arrays.asList((Object)additionalErrorText), cause);`
      Parameters:
        `code` - OpenPages error code for search defining a standard error message
        `additionalErrorText` - error message text as parameter
        `cause` - Throwable cause for this SearchException

    - #### SearchException

          public SearchException(ErrorCode code,
                                 java.lang.String additionalErrorText)

      Convenience constructor for SearchException with a single error message parameter, additionalErrorText. Equivalent to: `new SearchException(code,Arrays.asList((Object)additionalErrorText));`
      Parameters:
        `code` - OpenPages error code for search defining a standard error message
        `additionalErrorText` - error message parameter

    - #### SearchException

          public SearchException(ErrorCode code,
                                 java.util.List<java.lang.Object> parameters)

      Parameters:
        `code` - OpenPages error code for search defining a standard error message
        `parameters` - (optional) error message parameters that are used in formatting the localized error message

    - #### SearchException

          public SearchException(java.lang.String message,
                                 java.lang.Throwable cause)

      Parameters:
        `message` - non-standard error message text
        `cause` - Throwable cause for this SearchException

    - #### SearchException

          public SearchException(java.lang.String message)

      Parameters:
        `message` - non-standard error message text

    - #### SearchException

          public SearchException(java.lang.Throwable cause)

      Parameters:
        `cause` - Throwable cause for this SearchException

Licensed Materials - Property of IBM
OpenPages with Watson (PID: 5725-D51)
© Copyright IBM Corporation 2013, 2020. All Rights Reserved.
US Government Users Restricted Rights - Use, duplication or disclosure restricted by GSA ADP Schedule Contract with IBM Corp.